Package org.apache.velocity.util.introspection

# Class UberspectImpl.VelGetterImpl

java.lang.Object
org.apache.velocity.util.introspection.UberspectImpl.VelGetterImpl

All Implemented Interfaces:
  `VelPropertyGet`

Enclosing class:
  `UberspectImpl`

public static class UberspectImpl.VelGetterImpl extends Object implements VelPropertyGet

## Constructor Summary

Constructors
Constructor
Description
`VelGetterImpl(AbstractExecutor exec)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethodName()`
returns the method name used to return this 'property'
`Object`
`invoke(Object o)`
invocation method - called when the 'get action' should be preformed and a value returned
`boolean`
`isCacheable()`
specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelGetterImpl

public VelGetterImpl(AbstractExecutor exec)

Parameters:
  `exec` -

## Method Details

### invoke

public Object invoke(Object o) throws IllegalAccessException, InvocationTargetException
Description copied from interface: `VelPropertyGet`
invocation method - called when the 'get action' should be preformed and a value returned

Specified by:
  `invoke` in interface `VelPropertyGet`
Parameters:
  `o` -
Returns:
  The resulting Object.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`
See Also:
  - `VelPropertyGet.invoke(java.lang.Object)`

### isCacheable

public boolean isCacheable()
Description copied from interface: `VelPropertyGet`
specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

Specified by:
  `isCacheable` in interface `VelPropertyGet`
Returns:
  true if can be reused for this class, false if not
See Also:
  - `VelPropertyGet.isCacheable()`

### getMethodName

public String getMethodName()
Description copied from interface: `VelPropertyGet`
returns the method name used to return this 'property'

Specified by:
  `getMethodName` in interface `VelPropertyGet`
Returns:
  The method name used to return this 'property'
See Also:
  - `VelPropertyGet.getMethodName()`